# Available serializers:
# LEGACY_AMPERSAND - "&c&lExample &c&9Text".
# LEGACY_SECTION - "§c§lExample §c§9Text".
# MINIMESSAGE - "<bold><red>Example</red> <blue>Text</blue></bold>". (https://webui.adventure.kyori.net/)
# GSON - "[{"text":"Example","bold":true,"color":"red"},{"text":" ","bold":true},{"text":"Text","bold":true,"color":"blue"}]". (https://minecraft.tools/en/json_text.php/)
# GSON_COLOR_DOWNSAMPLING - Same as GSON, but uses downsampling.
serializer: MINIMESSAGE
# Send player to the limbo, if disconnect reason contains this text (using regex)
restart-message: "((?i)^(server closed|multiplayer\\.disconnect\\.server_shutdown|velocity\\.error\\.internal-server-connection-error|server is restarting))+$"
# Server status check interval in milliseconds
check-interval: 1000
# Server status check timeout in milliseconds
ping-timeout: 500
# Delay from returning players from limbo back to their servers in milliseconds
join-delay: 500
# Send to limbo or use current server's world
use-limbo: false

world:
  # Dimensions: OVERWORLD, NETHER, THE_END
  dimension: "OVERWORLD"
  # Load world from file
  load-world: false
  world-file-path: "world.schem"
  world-file-type: WORLDEDIT_SCHEM
  world-light-level: 15
  gamemode: SPECTATOR
  world-coords:
    x: 0
    y: 0
    z: 0

# Empty messages will not be sent
messages:
  connecting: "<aqua>正在连接到服务器..."
  reload: "<green>LimboReconnect reloaded"
  title-settings:
    show-delay: 20 # time in ticks
  titles:
    - title: "服务器正在重启..."
      subtitle: "请稍等..."
debug: false
